compact1, compact2, compact3
java.nio.file

## Interface WatchEvent.Modifier

- Enclosing interface:
    WatchEvent<T>

      public static interface WatchEvent.Modifier

  An event modifier that qualifies how a `Watchable` is registered with a `WatchService`.

  This release does not define any standard modifiers.

  Since:
    1.7
  See Also:
    `Watchable.register(java.nio.file.WatchService, java.nio.file.WatchEvent.Kind<?>[], java.nio.file.WatchEvent.Modifier...)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the name of the modifier.

- - ### Method Detail

    - #### name

          String name()

      Returns the name of the modifier.
      Returns:
        the name of the modifier

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.